Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
public static class

# Query.Builder

extends Object

java.lang.Object
↳ | com.google.android.gms.drive.query.Query.Builder

## Class Overview

A builder for creating queries.

## Summary

Public Constructors
| Query.Builder()

Public Methods
Query.Builder | addFilter(Filter filter) Adds a search filter to the query.
Query | build()
Query.Builder | setPageToken(String token) Set the page token to retrieve the next page of results.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Constructors

#### public Query.Builder ()

## Public Methods

#### public Query.Builder addFilter (Filter filter)

Adds a search filter to the query. If more than one filter is added, they are combined with a logical AND.

##### See Also

- `Filters`

#### public Query build ()

#### public Query.Builder setPageToken (String token)

Set the page token to retrieve the next page of results.